Get records from a specific list
curl --request POST \
--url https://app.nex.ai/api/developers/v1/lists/{id}/records \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": "all",
"limit": 50,
"offset": 0,
"sort": {
"attribute": "name",
"direction": "asc"
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/lists/{id}/records"
payload = {
"attributes": "all",
"limit": 50,
"offset": 0,
"sort": {
"attribute": "name",
"direction": "asc"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: 'all',
limit: 50,
offset: 0,
sort: {attribute: 'name', direction: 'asc'}
})
};
fetch('https://app.nex.ai/api/developers/v1/lists/{id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/lists/{id}/records"
payload := strings.NewReader("{\n \"attributes\": \"all\",\n \"limit\": 50,\n \"offset\": 0,\n \"sort\": {\n \"attribute\": \"name\",\n \"direction\": \"asc\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-20T09:15:00Z",
"attributes": {
"name": {
"first_name": "Alice",
"last_name": "Johnson"
},
"email_addresses": [
"alice@techcorp.com"
],
"job_title": "Product Manager",
"phone_number": {
"country_code": 1,
"number": "5551112222"
}
}
},
{
"id": "32414268188027656",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-16T08:30:00Z",
"updated_at": "2024-01-16T08:30:00Z",
"attributes": {
"name": {
"first_name": "Bob",
"last_name": "Wilson"
},
"email_addresses": [
"bob@startup.io"
],
"job_title": "Founder",
"location": {
"city": "San Francisco",
"region": "CA",
"country": "US"
}
}
}
],
"limit": 50,
"offset": 0,
"total": 247
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Lists
Get records from a specific list
Retrieves all records that belong to a specific list with pagination
POST
/
v1
/
lists
/
{id}
/
records
Get records from a specific list
curl --request POST \
--url https://app.nex.ai/api/developers/v1/lists/{id}/records \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": "all",
"limit": 50,
"offset": 0,
"sort": {
"attribute": "name",
"direction": "asc"
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/lists/{id}/records"
payload = {
"attributes": "all",
"limit": 50,
"offset": 0,
"sort": {
"attribute": "name",
"direction": "asc"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: 'all',
limit: 50,
offset: 0,
sort: {attribute: 'name', direction: 'asc'}
})
};
fetch('https://app.nex.ai/api/developers/v1/lists/{id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/lists/{id}/records"
payload := strings.NewReader("{\n \"attributes\": \"all\",\n \"limit\": 50,\n \"offset\": 0,\n \"sort\": {\n \"attribute\": \"name\",\n \"direction\": \"asc\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-20T09:15:00Z",
"attributes": {
"name": {
"first_name": "Alice",
"last_name": "Johnson"
},
"email_addresses": [
"alice@techcorp.com"
],
"job_title": "Product Manager",
"phone_number": {
"country_code": 1,
"number": "5551112222"
}
}
},
{
"id": "32414268188027656",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-16T08:30:00Z",
"updated_at": "2024-01-16T08:30:00Z",
"attributes": {
"name": {
"first_name": "Bob",
"last_name": "Wilson"
},
"email_addresses": [
"bob@startup.io"
],
"job_title": "Founder",
"location": {
"city": "San Francisco",
"region": "CA",
"country": "US"
}
}
}
],
"limit": 50,
"offset": 0,
"total": 247
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
List ID
Body
application/json
List records request with pagination options
Attributes parameter supports both string values ('all', 'primary', 'none') and object format for custom selection
Available options:
all, primary, none Response
List of records with pagination info
Last modified on March 26, 2026
⌘I